package com.bytedance.android.feed.api;

import X.AnonymousClass0UL;
import X.AnonymousClass0UT;
import X.FLG;
import X.Gy9;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import java.util.Map;

public interface ILiveFeedApiService extends AnonymousClass0UT {
    static {
        Covode.recordClassIndex(4677);
    }

    Fragment createDrawerFeedFragment(Gy9 gy9);

    void delayInit();

    Map<String, Object> getFeedTab(long j);

    Map<String, Object> getFeedTabForyouPage(long j);

    AnonymousClass0UL getMinimizeManager();

    FLG getStartLiveRoomInterceptor();

    void init();

    void recordNeedRetryTabApi();

    void requestTabInNetWorkState();

    void requestTabListForyouPage();
}
